/***********************************************************************
**                                                                    **
**  misc.c                                                            **
**                                                                    **
**  Text Editor -- Miscellaneous Module                               **
**                                                                    **
***********************************************************************/


#include <stdio.h>
#include <Xm/Xm.h>

#include "textedit.h"


/***********************************************************************
**                                                                    **
**               F O R W A R D   D E F I N I T I O N S                **
**                                                                    **
***********************************************************************/



/***********************************************************************
**                                                                    **
**                    L O C A L   V A R I A B L E S                   **
**                                                                    **
***********************************************************************/



/***********************************************************************
**                                                                    **
**  InitOther()                                                       **
**                                                                    **
**  This function performs other program initialization, such as      **
**  loading any default data.                                         **
**                                                                    **
***********************************************************************/

void InitOther()
{
    InitFindDB();
}



/***********************************************************************
**                                                                    **
**  StrFind( s1, s2 )                                                 **
**                                                                    **
**  Returns a pointer to the first occurrence of string s2 in         **
**  string s1. Returns NULL is s2 does not occur in s1.               **
**                                                                    **
***********************************************************************/

char *StrFind( s1, s2 )
    char	*s1;
    char	*s2;
{
    char	*tmps1;
    char	*tmps2;

    for ( ; *s1 != '\0'  ; s1++)
	if (*s1 == *s2)
	    {
	    tmps1 = s1;
	    tmps2 = s2;
	    for ( ; (*s1 == *tmps2) && (*s1 != '\0') ; *s1++, *tmps2++)
		;
	    if (*tmps2 == '\0')
		return( tmps1 );
	    }
    return( NULL );
}
